# 应用（App）
在TeaWeb中，App是一个很灵活的概念，一个软件、一个服务、一个脚本都可以成为App，只要你想把一组任务和信息放在一起，就可以创建一个App，把这些信息放到这个App中；比如我们可以把`MySQL`作为一个App，然后把MySQL启动脚本、定时备份脚本和监控脚本都放到这个App中，在TeaWeb中都可以轻松设置。

~~~
|----------------------------------------------------|
|        图表 		   |        任务日志    			 |
|----------------------------------------------------|
|        数值		   | 定时任务 | 启动任务 | 手动任务	 |       App2, ....
|----------------------------------------------------|
|       监控项          |          任务    		     |
|----------------------------------------------------|
|         			      App1			   			 |
|----------------------------------------------------|
~~~

* `任务` - 一个App可以设置多个任务，根据任务的启动方式有以下三种类型：
   * `定时任务` - 固定在某个时刻运行的任务成为定时任务，可以设置在某个定点时间（比如2019年10月10日零点）执行；也可以循环执行，比如每小时运行一次、每分钟运行一次等；
   * `启动任务` - 随Agent启动而执行的任务，这些任务在Agent启动的时候会执行一次；如果你多次重启Agent，则会执行多次，所以有必要做好有些服务不多次重复执行的判断；
   * `手动任务` - 可以手动执行的任务，可以通过TeaWeb Master手动执行或者在Agent主机上通过`bin/teaweb-agent run [TASK ID]`来执行这个任务；
* `任务日志` - Agent在执行任务的过程中产生的输出会上报到Master主机，从而可以通过TeaWeb查看这些日志；
* `监控项` - 把一些App需要监控的指标叫做监控项，比如一个系统的CPU、`MySQL`的进程数和连接数等都可以做成监控项；
  * `数值记录` - 每个监控项产生的数据都会上报到Master主机，可以在`数值记录`中查看，要使用数值记录，TeaWeb需要能正常连接MongoDB数据库；
  * `图表` - 依据`数值记录`中的数据，可以添加一些图表，比如线图、饼图等。
