# 原理
如果下图所示，TeaWeb通过启动一个网络端口（默认为7777）用来提供管理界面，然后可以在管理界面中配置一组Web服务和代理服务，其中，通过代理服务，TeaWeb自动将客户端请求转发到后端服务中（比如nginx, Apache，Fastcgi等）。
~~~
             |--------------|        |----------------------------| 
Client  <->  | TeaWeb:7777  |   <->  | Nginx, Apache, Tomcat,     |
             |--------------|        | Fastcgi, Static Files, ... |
                   |                 |----------------------------|
                   |
                   |
             |-------------|
             |  Web        |     
             |  Proxy      |  
             |  Log        |  
             |  Monitor    |      
             |  Statistics |     
             |  WAF        |
             |  Cache      |
             |  ...        |
             |-------------|
~~~

在转发过程中，代理服务自动记录访问日志信息，从而可以在管理界面中显示这些日志，供开发者查看、筛选，也会自动生成统计信息。

每个代理服务都会绑定一个或多个网络地址，如果设置了多个代理服务，那么TeaWeb就会绑定多个网络地址，很可能也会有多个监听端口。当然，代理服务网络地址不影响管理界面地址。
